[package]
name = "devices"
version = "0.1.0"
authors = ["The Chromium OS Authors"]
edition = "2018"

[dependencies]
event-manager = ">=0.2.1"
libc = ">=0.2.39"
timerfd = ">=1.0"
versionize = ">=0.1.6"
versionize_derive = ">=0.1.3"
vm-memory = { path = "../vm-memory" }
vm-superio = ">=0.4.0"

dumbo = { path = "../dumbo" }
logger = { path = "../logger" }
mmds = { path = "../mmds" }
net_gen = { path = "../net_gen" }
rate_limiter = { path = "../rate_limiter" }
serde = { version = ">=1.0.27", features = ["derive"] }
snapshot = { path = "../snapshot" }
utils = { path = "../utils" }
virtio_gen = { path = "../virtio_gen" }

[dev-dependencies]
proptest = ">=1.0.0"
